sosreport does not correctly enable the maas plugin for a snap install

Bug #1886494 reported by Nick Niehoff on 2020-07-06
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Status tracked in Groovy
Xenial
Low
Eric Desrochers
Bionic
Medium
Eric Desrochers
Focal
Medium
Eric Desrochers
Groovy
Medium
Eric Desrochers

Bug Description

[Impact]

sosreport doesn't exercise the MAAS plugin if it is installed as a SNAP.
Only work if installed as a DEB package.

[Test Case]

* snap install maas
* sosreport -a
* Looking the sosreport archive content and validate that MAAS information haven't been collected (e.g. /path_to_sosreport/sos_commands/maas)

[Regression Potential]

No regression expected.
If a regression happens it will only be isolated to the plugin itself.
It won't affect/impact other plugin nor sosreport core functionalities.

Worst case scenario, the MAAS plugin won't be exercised as expected, and one would need to request MAAS information manually.

https://wiki.ubuntu.com/SosreportUpdates

[Other Info]

Upstream commit:
- [maas] Add snap support to maas plugin
- https://github.com/sosreport/sos/commit/1417827a

[Original Description]

Installing maas via snap on a focal machine (in my case lxd container) following:

sudo snap install maas-test-db
sudo snap install maas
sudo maas init region --database-uri maas-test-db:///

Then running sosreport, sosreport does not correctly enable the maas plugin. I tested with version 3.9.1-1ubuntu0.20.04.1 of sosreport and also the upstream package from source. Here are the results:

root@testing:/sos# dpkg -l | grep sosreport
ii sosreport 3.9.1-1ubuntu0.20.04.1 amd64 Set of tools to gather troubleshooting data from a system
root@testing:/sos# sosreport -l | grep maas
 maas inactive Ubuntu Metal-As-A-Service
root@testing:/sos# ./bin/sosreport -l | grep maas
 maas Ubuntu Metal-As-A-Service
 maas.profile-name The name with which you will later refer to this remote
 maas.url The URL of the remote API
 maas.credentials The credentials, also known as the API key

As you can see the version of sosreport from the package lists the maas plugin as inactive but from source it is enabled.

Nick Niehoff (nniehoff) wrote :

Looks like the maas plugin in the package is old.

Eric Desrochers (slashd) wrote :

$ git log --oneline 3.9.1..HEAD sos/report//plugins/maas.py
6c334d55 [plugins] Convert docstrings to class attrs
=> 1417827a [maas] Add snap support to maas plugin
71428ba1 [global] Fix report import paths
dfcabc68 [4.0] Re-organize tree for sos-4.0

The plugin update has been added after 3.9.1. We can backported it into 3.9.1 no problem.

tags: added: seg sts
Changed in sosreport (Ubuntu Groovy):
assignee: nobody → Eric Desrochers (slashd)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sosreport (Ubuntu Bionic):
status: New → Confirmed
Changed in sosreport (Ubuntu Focal):
status: New → Confirmed
Eric Desrochers (slashd) wrote :

Uploaded in groovy.

Will SRU it once it is landed in -releases.

Changed in sosreport (Ubuntu Groovy):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Focal):
status: Confirmed → In Progress
Changed in sosreport (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in sosreport (Ubuntu Focal):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Bionic):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Groovy):
status: In Progress → Fix Committed
Eric Desrochers (slashd) on 2020-07-06
description: updated
Eric Desrochers (slashd) on 2020-07-06
description: updated
description: updated
Eric Desrochers (slashd) on 2020-07-06
description: updated
description: updated
Changed in sosreport (Ubuntu Focal):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Bionic):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu2

---------------
sosreport (3.9.1-1ubuntu2) groovy; urgency=medium

  * d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    From 2.7.0 onwards, MAAS is using snaps for it's
    releases, and this changes the location of files
    and logs.

 -- Eric Desrochers <email address hidden> Mon, 06 Jul 2020 16:20:29 +0000

Changed in sosreport (Ubuntu Groovy):
status: Fix Committed → Fix Released
Eric Desrochers (slashd) wrote :

Uploaded in Focal/20.04LTS. It is now waiting for SRU team approval.

Eric Desrochers (slashd) wrote :

Uploaded in Bionic/18.04LTS. It is now waiting for SRU team approval.

Hello Nick, or anyone else affected,

Accepted sosreport into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Nick, or anyone else affected,

Accepted sosreport into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Eric Desrochers (slashd) wrote :

[VERIFICATION BIONIC]

This has been tested running sosreport (3.9.1-1ubuntu0.18.04.2)

# sos_logs/sos.log revealed that the MAAS plugin has been exercised on a MAAS snap install as expected.

# No errors found.

# Logs
sos.log:2020-07-09 15:12:01,034 INFO: [plugin:maas] added cmd output 'systemctl status snap.maas.supervisor'
sos.log:2020-07-09 15:12:01,077 INFO: [plugin:maas] added cmd output 'snap info maas'
sos.log:2020-07-09 15:12:01,078 INFO: [plugin:maas] added cmd output 'maas status'
sos.log:2020-07-09 15:12:01,078 INFO: [plugin:maas] adding forbidden path '/var/snap/maas/current/bind/session.key'
sos.log:2020-07-09 15:12:01,078 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-09 15:12:01,079 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit snap.maas.supervisor'
sos.log:2020-07-09 15:12:02,947 INFO: [plugin:maas] collecting path '/var/snap/maas/current/regiond.conf'
sos.log:2020-07-09 15:12:02,948 INFO: [plugin:maas] collecting path '/var/snap/maas/common/log'
sos.log:2020-07-09 15:12:02,949 INFO: [plugin:maas] collecting path '/var/snap/maas/current/preseeds'
sos.log:2020-07-09 15:12:02,950 INFO: [plugin:maas] collecting path '/var/snap/maas/current/supervisord'
sos.log:2020-07-09 15:12:02,953 INFO: [plugin:maas] collecting output of 'systemctl status snap.maas.supervisor'
sos.log:2020-07-09 15:12:02,967 INFO: [plugin:maas] collecting output of 'snap info maas'
sos.log:2020-07-09 15:12:03,375 INFO: [plugin:maas] collecting output of 'maas status'
sos.log:2020-07-09 15:12:05,382 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-09 15:12:05,397 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-09 15:12:05,411 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-09 15:12:05,427 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-09 15:12:05,444 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-09 15:12:05,458 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-09 15:12:05,473 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-09 15:12:05,488 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit snap.maas.supervisor'

Eric Desrochers (slashd) wrote :

[VERIFICATION FOCAL]

This has been tested running sosreport (3.9.1-1ubuntu0.20.04.2)

# sos_logs/sos.log revealed that the MAAS plugin has been exercised on a MAAS snap install as expected.

# No errors found.

# Logs
sos.log:2020-07-09 15:18:38,105 INFO: [plugin:maas] added cmd output 'systemctl status snap.maas.supervisor'
sos.log:2020-07-09 15:18:38,139 INFO: [plugin:maas] added cmd output 'snap info maas'
sos.log:2020-07-09 15:18:38,139 INFO: [plugin:maas] added cmd output 'maas status'
sos.log:2020-07-09 15:18:38,140 INFO: [plugin:maas] adding forbidden path '/var/snap/maas/current/bind/session.key'
sos.log:2020-07-09 15:18:38,141 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-09 15:18:38,141 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-09 15:18:38,142 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-09 15:18:38,142 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-09 15:18:38,142 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-09 15:18:38,142 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-09 15:18:38,143 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-09 15:18:38,143 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit snap.maas.supervisor'
sos.log:2020-07-09 15:18:40,533 INFO: [plugin:maas] collecting path '/var/snap/maas/common/log'
sos.log:2020-07-09 15:18:40,534 INFO: [plugin:maas] collecting path '/var/snap/maas/current/supervisord'
sos.log:2020-07-09 15:18:40,537 INFO: [plugin:maas] collecting path '/var/snap/maas/current/preseeds'
sos.log:2020-07-09 15:18:40,541 INFO: [plugin:maas] collecting path '/var/snap/maas/current/regiond.conf'
sos.log:2020-07-09 15:18:40,541 INFO: [plugin:maas] collecting output of 'systemctl status snap.maas.supervisor'
sos.log:2020-07-09 15:18:40,556 INFO: [plugin:maas] collecting output of 'snap info maas'
sos.log:2020-07-09 15:18:40,949 INFO: [plugin:maas] collecting output of 'maas status'
sos.log:2020-07-09 15:18:43,059 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-09 15:18:43,074 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-09 15:18:43,088 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-09 15:18:43,102 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-09 15:18:43,116 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-09 15:18:43,130 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-09 15:18:43,145 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-09 15:18:43,160 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit snap.maas.supervisor'

tags: added: verification-done verification-done-bionic verification-done-focal
removed: verification-needed verification-needed-bionic verification-needed-focal

All autopkgtests for the newly accepted sosreport (3.9.1-1ubuntu0.18.04.2) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

sosreport/3.9.1-1ubuntu0.18.04.2 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#sosreport

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Eric Desrochers (slashd) wrote :

[Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.2]

The regression above is the same that always comes up at every sosreport upload.

Reference:
https://bugs.launchpad.net/ubuntu/+source/sosreport/+bug/1884293/comments/5
https://bugs.launchpad.net/ubuntu/+source/sosreport/+bug/1884293/comments/6

It is just a matter of retrying the job until it passes. I'm on it.

- Eric

Eric Desrochers (slashd) wrote :

[Autopkgtest regression report (sosreport/3.9.1-1ubuntu0.2]

Regression PASSED at 3rd attempts.

Eric Desrochers (slashd) on 2020-07-15
Changed in sosreport (Ubuntu Xenial):
importance: Undecided → Low
assignee: nobody → Eric Desrochers (slashd)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.20.04.2

---------------
sosreport (3.9.1-1ubuntu0.20.04.2) focal; urgency=medium

  * d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    From 2.7.0 onwards, MAAS is using snaps for it's
    releases, and this changes the location of files
    and logs.

 -- Eric Desrochers <email address hidden> Tue, 07 Jul 2020 19:19:09 +0000

Changed in sosreport (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sosreport has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.18.04.2

---------------
sosreport (3.9.1-1ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    From 2.7.0 onwards, MAAS is using snaps for it's
    releases, and this changes the location of files
    and logs.

 -- Eric Desrochers <email address hidden> Tue, 07 Jul 2020 19:34:42 +0000

Changed in sosreport (Ubuntu Bionic):
status: Fix Committed → Fix Released

Hello Nick, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9.1-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done

All autopkgtests for the newly accepted sosreport (3.9.1-1ubuntu0.16.04.1) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

sosreport/3.9.1-1ubuntu0.16.04.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#sosreport

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Eric Desrochers (slashd) wrote :

[VERIFICATION XENIAL]

This has been tested running sosreport (3.9.1-1ubuntu0.16.04.1)

# sos_logs/sos.log revealed that the MAAS plugin has been exercised on a MAAS snap install as expected.

# No errors found.

# Logs
sos.log:2020-07-16 15:27:10,001 INFO: [plugin:maas] added cmd output 'systemctl status snap.maas.supervisor'
sos.log:2020-07-16 15:27:10,034 INFO: [plugin:maas] added cmd output 'snap info maas'
sos.log:2020-07-16 15:27:10,034 INFO: [plugin:maas] added cmd output 'maas status'
sos.log:2020-07-16 15:27:10,034 INFO: [plugin:maas] adding forbidden path '/var/snap/maas/current/bind/session.key'
sos.log:2020-07-16 15:27:10,035 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-16 15:27:10,035 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-16 15:27:10,035 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-16 15:27:10,035 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-16 15:27:10,036 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-16 15:27:10,036 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-16 15:27:10,036 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-16 15:27:10,036 INFO: [plugin:maas] added cmd output 'journalctl --no-pager --unit snap.maas.supervisor'
sos.log:2020-07-16 15:27:11,705 INFO: [plugin:maas] collecting path '/var/snap/maas/current/preseeds'
sos.log:2020-07-16 15:27:11,709 INFO: [plugin:maas] collecting path '/var/snap/maas/current/supervisord'
sos.log:2020-07-16 15:27:11,712 INFO: [plugin:maas] collecting path '/var/snap/maas/common/log'
sos.log:2020-07-16 15:27:11,714 INFO: [plugin:maas] collecting path '/var/snap/maas/current/regiond.conf'
sos.log:2020-07-16 15:27:11,715 INFO: [plugin:maas] collecting output of 'systemctl status snap.maas.supervisor'
sos.log:2020-07-16 15:27:11,729 INFO: [plugin:maas] collecting output of 'snap info maas'
sos.log:2020-07-16 15:27:12,477 INFO: [plugin:maas] collecting output of 'maas status'
sos.log:2020-07-16 15:27:14,504 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd'
sos.log:2020-07-16 15:27:14,519 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-dhcpd6'
sos.log:2020-07-16 15:27:14,534 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-http'
sos.log:2020-07-16 15:27:14,550 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-proxy'
sos.log:2020-07-16 15:27:14,564 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-rackd'
sos.log:2020-07-16 15:27:14,580 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-regiond'
sos.log:2020-07-16 15:27:14,594 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit maas-syslog'
sos.log:2020-07-16 15:27:14,609 INFO: [plugin:maas] collecting output of 'journalctl --no-pager --unit snap.maas.supervisor'

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9.1-1ubuntu0.16.04.1

---------------
sosreport (3.9.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.9.1 upstream release. (LP: #1884293)
    This maintenance release includes:
    - New plugins: sos_extras, ovirt_engine_backup, console,
      validation_framework.
    - lxd plugin collections have been overhauled.
    - Fixed handling of the namespace pattern for the networking
      plugin.
    - A basic path is now defined in Policy for all subclasses.

    Plugin API Enhancements:
    - Enablement checks have been extended to include architecture
      constraints.
    - SoSPredicate has been extended to include architecture constraints,
      as well as negative constraints for all elements.
    - Plugins will now capture service status information for all services
      defined in the services class attr.

    Further release information and tarballs are available at:
    - https://github.com/sosreport/sos/releases/tag/3.9.1

  * Former patches now fixed upstream:
    - d/p/0001-unittest-py3-fix.patch

  * Remaining patch:
    - d/p/0001-lshw-command.patch

  * Other specific modifications:
    - d/p/0002-lds-substitute-oidc-conf.patch
    - d/p/0003-kvm-change-trigger-to-dev-kvm.patch (LP: #1883320)
    - d/p/0004-maas-add-snap-support.patch (LP: #1886494)
    - Add simple.sh as part of the autopkgtest (LP: #1865212)

 -- Eric Desrochers <email address hidden> Wed, 15 Jul 2020 13:06:39 +0000

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers